Loading...
Searching...
No Matches
SO3.h File Reference

3*3 matrix representation of SO(3) More...

Go to the source code of this file.

## Classes

class | gtsam::so3::ExpmapFunctor
| Functor implementing Exponential map. More...
class | gtsam::so3::DexpFunctor
| Functor that implements Exponential map and its derivatives. More...
struct | gtsam::traits< SO3 >
struct | gtsam::traits< const SO3 >

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Typedefs

using | gtsam::SO3 = SO<3>

## Functions

template<class Archive>
void | gtsam::serialize (Archive &ar, SO3 &R, const unsigned int)
| Serialization function.
GTSAM_EXPORT Matrix3 | gtsam::so3::compose (const Matrix3 &M, const SO3 &R, OptionalJacobian< 9, 9 > H=boost::none)
| Compose general matrix with an SO(3) element.
GTSAM_EXPORT Matrix99 | gtsam::so3::Dcompose (const SO3 &R)
| (constant) Jacobian of compose wrpt M

## Detailed Description

3*3 matrix representation of SO(3)

Author
  Frank Dellaert
  Luca Carlone
  Duy Nguyen Ta

Date
  December 2014

## Function Documentation

## compose()

GTSAM_EXPORT Matrix3 gtsam::so3::compose | ( | const Matrix3 & | M,
|  | const SO3 & | R,
|  | OptionalJacobian< 9, 9 > | H = boost::none )

Compose general matrix with an SO(3) element.

We only provide the 9*9 derivative in the first argument M.